Index: main/features.c
===================================================================
--- main/features.c	(revision 314157)
+++ main/features.c	(working copy)
@@ -3968,17 +3968,38 @@
 			}
 		} else if (!strcasecmp(confvar->name, "findslot")) {
 			parkinglot->parkfindnext = (!strcasecmp(confvar->value, "next"));
-		} else if (!strcasecmp(confvar->name, "parkedcalltransfers") ||
-				!strcasecmp(confvar->name, "parkedcallreparking") ||
-				!strcasecmp(confvar->name, "parkedcallhangup") ||
-				!strcasecmp(confvar->name, "parkedcallrecording")) {
-			if (!strcasecmp(confvar->value, "both")) {
+		} else if (!strcasecmp(confvar->name, "parkedcalltransfers")) {
+			ast_log(LOG_DEBUG, "Setting parking lot %s %s to %s\n", name, confvar->name, confvar->value);
+			if (!strcasecmp(confvar->value, "both"))
 				parkinglot->parkedcalltransfers = AST_FEATURE_FLAG_BYBOTH;
-			} else if (!strcasecmp(confvar->value, "caller")) {
+			else if (!strcasecmp(confvar->value, "caller"))
 				parkinglot->parkedcalltransfers = AST_FEATURE_FLAG_BYCALLER;
-			} else if (!strcasecmp(confvar->value, "callee")) {
+			else if (!strcasecmp(confvar->value, "callee"))
 				parkinglot->parkedcalltransfers = AST_FEATURE_FLAG_BYCALLEE;
-			}
+		} else if (!strcasecmp(confvar->name, "parkedcallreparking")) {
+			ast_log(LOG_DEBUG, "Setting parking lot %s %s to %s\n", name, confvar->name, confvar->value);
+			if (!strcasecmp(confvar->value, "both"))
+				parkinglot->parkedcallreparking = AST_FEATURE_FLAG_BYBOTH;
+			else if (!strcasecmp(confvar->value, "caller"))
+				parkinglot->parkedcallreparking = AST_FEATURE_FLAG_BYCALLER;
+			else if (!strcasecmp(confvar->value, "callee"))
+				parkinglot->parkedcallreparking = AST_FEATURE_FLAG_BYCALLEE;
+		} else if (!strcasecmp(confvar->name, "parkedcallhangup")) {
+			ast_log(LOG_DEBUG, "Setting parking lot %s %s to %s\n", name, confvar->name, confvar->value);
+			if (!strcasecmp(confvar->value, "both"))
+				parkinglot->parkedcallhangup = AST_FEATURE_FLAG_BYBOTH;
+			else if (!strcasecmp(confvar->value, "caller"))
+				parkinglot->parkedcallhangup = AST_FEATURE_FLAG_BYCALLER;
+			else if (!strcasecmp(confvar->value, "callee"))
+				parkinglot->parkedcallhangup = AST_FEATURE_FLAG_BYCALLEE;
+		} else if (!strcasecmp(confvar->name, "parkedcallrecording")) {
+			ast_log(LOG_DEBUG, "Setting parking lot %s %s to %s\n", name, confvar->name, confvar->value);
+			if (!strcasecmp(confvar->value, "both"))
+				parkinglot->parkedcallrecording = AST_FEATURE_FLAG_BYBOTH;
+			else if (!strcasecmp(confvar->value, "caller"))
+				parkinglot->parkedcallrecording = AST_FEATURE_FLAG_BYCALLER;
+			else if (!strcasecmp(confvar->value, "callee"))
+				parkinglot->parkedcallrecording = AST_FEATURE_FLAG_BYCALLEE;
 		}
 		confvar = confvar->next;
 	}
